Page MenuHomePhabricator

View a referenced Sense
Closed, ResolvedPublic

Description

Narrative:
As an editor of Wikidata-Lexeme I want to be able to view a referenced Sense in a statement on an Item/Property/Form/Sense/Lexeme in order to better understand what the statement is trying to say.

Acceptance Criteria:

  • The behaviour is the same no matter which of Item/Property/Form/Sense/Lexeme the statement is on
  • The shown value follows the pattern "Lemma (Gloss)" - for example: "move (to change position)"
  • The Gloss is shown in the user's interface language and the standard language fallback chain is applied. If no fallback can be found the ID of the Sense is shown. (Note: language fallbacks are subject of the separate task T200983: Language fallbacks for referenced Senses in statements and may be omitted from the initial implementation of this task.)

Given:
When:
Then:

Personas to take into account:
Niels - Active editor on Wikidata
Alex - Data user in small startup

Open questions:

  • If the lemma and the gloss are in languages with different directions, how should they be arranged?

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterRender lemmas and gloss in SenseIdTextFormatter
mediawiki/extensions/WikibaseLexeme : masterAdd SenseIdHtmlFormatter
mediawiki/extensions/WikibaseLexeme : masterIntroduce SenseIdTextFormatter
mediawiki/extensions/WikibaseLexeme : masterMake wikibase-sense datatype use entity ID values

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 3 2018, 9:43 AM
RazShuty updated the task description. (Show Details)

Rare case clarification request regarding

The shown value follows the pattern "Lemma (Gloss)" - for example: "move (to change position)"

When there are multiple lemma variants, then all should be shown with the i18n-able separator etc, or just one (if so, please define the algorithm on how to pick _the_ one)?

Yeah. Like in other places when there are several Lemmas we show them all separated by the i18n-able separator.

Vvjjkkii renamed this task from View a referenced Sense to jrbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from jrbaaaaaaa to View a referenced Sense.Jul 2 2018, 12:44 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)

Change 451015 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Make wikibase-sense datatype use entity ID values

https://gerrit.wikimedia.org/r/451015

Change 451016 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseIdTextFormatter

https://gerrit.wikimedia.org/r/451016

Change 451017 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add SenseIdHtmlFormatter

https://gerrit.wikimedia.org/r/451017

Change 451264 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Render lemmas and gloss in SenseIdHtmlFormatter

https://gerrit.wikimedia.org/r/451264

Change 451015 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make wikibase-sense datatype use entity ID values

https://gerrit.wikimedia.org/r/451015

Change 451016 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseIdTextFormatter

https://gerrit.wikimedia.org/r/451016

hoo updated the task description. (Show Details)Aug 9 2018, 9:42 AM
hoo updated the task description. (Show Details)Aug 9 2018, 10:12 AM

Change 451017 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add SenseIdHtmlFormatter

https://gerrit.wikimedia.org/r/451017

hoo added a subscriber: hoo.

This will need some more love.

I’ve updated the change, and it’s not clear to me what else is required under “more love”, so moving back to review :)

WMDE-leszek moved this task from Doing to Peer Review on the Wikidata-Senses-Iteration3 board.

Change 451264 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Render lemmas and gloss in SenseIdTextFormatter

https://gerrit.wikimedia.org/r/451264

Léa and I just tried to save a statement linking to a Sense. We got an error :(

Léa and I just tried to save a statement linking to a Sense. We got an error :(

Need to clear the local storage of your browser D: